InitIO.h File Reference
Fields

Contains the initIO function. More...

`#include "Types.h"`
`#include "ns.h"`

Go to the source code of this file.

## Functions

FIELD3D_NAMESPACE_OPEN FIELD3D_API void | initIO ()
| Initializes the built-in Field3D IO classes.
FIELD3D_API size_t | numIOThreads ()
| Returns the number of I/O threads to use.
FIELD3D_API void | setNumIOThreads (const size_t numThreads)
| Sets the number of threads to use for I/O multi-threading.

## Detailed Description

Contains the initIO function.

Definition in file InitIO.h.

## Function Documentation

## setNumIOThreads()

FIELD3D_API void setNumIOThreads | ( | const size_t | numThreads | ) |

Sets the number of threads to use for I/O multi-threading.

Definition at line 85 of file InitIO.cpp.

{
g_numIOThreads = numThreads;
}
FIELD3D_NAMESPACE_OPEN::g_numIOThreads
size_t g_numIOThreads
Definition InitIO.cpp:60

## numIOThreads()

FIELD3D_API size_t numIOThreads | ( |  | ) |

Returns the number of I/O threads to use.

Definition at line 92 of file InitIO.cpp.

{
return g_numIOThreads;
}

Referenced by FieldGroup< BaseTypeList_T, Dims_T >::MakeMinMax::MakeMinMax(), and FieldGroup< BaseTypeList_T, Dims_T >::MakeMinMaxMIP::MakeMinMaxMIP().